Skip to content

Set a customer password

Saves the customer's password after the email and second-factor checks.

PUT/v1/customer-auth/password
No token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/json

application/problem+json

curl -X PUT "https://auth.ecomiq.pe/v1/customer-auth/password" \  -H "Content-Type: application/json" \  -d '{    "returnUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon",    "browserKey": "replace_with_your_browser_key",    "challengeId": "7204558912004326731",    "newPassword": "Example-Password-2026!",    "secondFactor": "ejemplo"  }'
{  "challengeId": "7204558912004326731",  "needsSecondFactor": false}